--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Compares two Resources to allow them to be sorted
- !ruby/struct:SM::Flow::P 
  body: "@param [Resource] other"
- !ruby/struct:SM::Flow::VERB 
  body: "  The other Resource to compare with\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Integer]"
- !ruby/struct:SM::Flow::VERB 
  body: "  Return 0 if Resources should be sorted as the same, -1 if the\n  other Resource should be after self, and 1 if the other Resource\n  should be before self\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Resource#<=>
is_singleton: false
name: <=>
params: (other)
visibility: public
